# Go API client for swagger

App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 2.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.go.GoClientCodegen
For more information, please visit [https://developer.weathersourceapis.com/](https://developer.weathersourceapis.com/)

## Installation
Put the package under your project folder and add the following in import:
```golang
import "./swagger"
```

## Documentation for API Endpoints

All URIs are relative to *https://appwx.weathersourceapis.com/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*OnpointsApi* | [**OnpointsOnpointIdGet**](docs/OnpointsApi.md#onpointsonpointidget) | **Get** /onpoints/{onpointId} | App Weather for an OnPoint™ point.
*PointsApi* | [**PointsLatitudelongitudeGet**](docs/PointsApi.md#pointslatitudelongitudeget) | **Get** /points/{latitude},{longitude} | App Weather for a Latitude/Longitude point.
*PostcodesApi* | [**PostcodesPostcodecountryCodeGet**](docs/PostcodesApi.md#postcodespostcodecountrycodeget) | **Get** /postcodes/{postcode},{countryCode} | App Weather response for a postcode.

## Documentation For Models

 - [AppwxOnpointObj](docs/AppwxOnpointObj.md)
 - [AppwxPointObj](docs/AppwxPointObj.md)
 - [AppwxPostcodeObj](docs/AppwxPostcodeObj.md)
 - [BoundingPointsInner](docs/BoundingPointsInner.md)
 - [ErrorObj](docs/ErrorObj.md)
 - [FeaturesObj](docs/FeaturesObj.md)
 - [FieldListObj](docs/FieldListObj.md)
 - [ForecastDayObj](docs/ForecastDayObj.md)
 - [ForecastHourObj](docs/ForecastHourObj.md)
 - [Grid](docs/Grid.md)
 - [Language](docs/Language.md)
 - [NowcastObj](docs/NowcastObj.md)
 - [OnpointObj](docs/OnpointObj.md)
 - [PointObj](docs/PointObj.md)
 - [PostcodeObj](docs/PostcodeObj.md)
 - [UnitScale](docs/UnitScale.md)

## Documentation For Authorization

## ApiKeyAuth
- **Type**: API key 

Example
```golang
auth := context.WithValue(context.Background(), sw.ContextAPIKey, sw.APIKey{
	Key: "APIKEY",
	Prefix: "Bearer", // Omit if not necessary.
})
r, err := client.Service.Operation(auth, args)
```

## Author

support@weathersource.com
