# {{classname}}

All URIs are relative to *https://appwx.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**OnpointsOnpointIdGet**](OnpointsApi.md#OnpointsOnpointIdGet) | **Get** /onpoints/{onpointId} | App Weather for an OnPoint™ point.

# **OnpointsOnpointIdGet**
> AppwxOnpointObj OnpointsOnpointIdGet(ctx, onpointId, services, fields, optional)
App Weather for an OnPoint™ point.

Returns select nowcast and forecast (7-day - daily and hourly) data for an OnPoint™ point.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.  **IMPORTANT:** To authenticate to the Weather Source Nowcast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 
  **services** | [**[]string**](string.md)| A comma separated list of service names to return.  **Limiting the query to needed services will improve the query response time.**  | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  | 
 **optional** | ***OnpointsApiOnpointsOnpointIdGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a OnpointsApiOnpointsOnpointIdGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]
 **language** | **optional.String**| The language for translatable returned values.&lt;br&gt; | [default to ENGLISH]

### Return type

[**AppwxOnpointObj**](appwxOnpointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

