/*
 * App Weather - A Weather Source API
 *
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
import (
	"time"
)

// A nowcast object.
type NowcastObj struct {
	Timestamp *time.Time `json:"timestamp"`
	CivilRise *time.Time `json:"civilRise,omitempty"`
	CivilSet *time.Time `json:"civilSet,omitempty"`
	CldCvr float32 `json:"cldCvr,omitempty"`
	FeelsLike float32 `json:"feelsLike,omitempty"`
	Icon string `json:"icon,omitempty"`
	MoonPhase string `json:"moonPhase,omitempty"`
	PrecipFlag bool `json:"precipFlag,omitempty"`
	PrecipIntensity float32 `json:"precipIntensity,omitempty"`
	RelHum float32 `json:"relHum,omitempty"`
	SnowfallFlag bool `json:"snowfallFlag,omitempty"`
	SnowfallIntensity float32 `json:"snowfallIntensity,omitempty"`
	Summary string `json:"summary,omitempty"`
	SummaryLong string `json:"summaryLong,omitempty"`
	SunTransit *time.Time `json:"sunTransit,omitempty"`
	Sunrise *time.Time `json:"sunrise,omitempty"`
	Sunset *time.Time `json:"sunset,omitempty"`
	Temp float32 `json:"temp,omitempty"`
	TempMax float32 `json:"tempMax,omitempty"`
	TempMin float32 `json:"tempMin,omitempty"`
	WindDir string `json:"windDir,omitempty"`
	WindSpd float32 `json:"windSpd,omitempty"`
}
